Package com.independentsoft.office.odf

# Class Template

java.lang.Object
com.independentsoft.office.odf.Template

public class Template extends Object
Represents a document template that was used to create a document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Template()`
  Initializes a new instance of the Template class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Template`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getActuate()`
  Gets the actuate.
  `Date`
  `getDate()`
  Gets the date and time when a template was last modified, prior to being used to create the current document.
  `String`
  `getLocation()`
  Gets the location of remote resource.
  `String`
  `getRole()`
  Gets the role.
  `String`
  `getTitle()`
  Gets the title to be associated with a document template.
  `String`
  `getType()`
  Gets the value simple in OpenDocument document instances.
  `void`
  `setActuate​(String actuate)`
  Sets the actuate.
  `void`
  `setDate​(Date date)`
  Sets the date and time when a template was last modified, prior to being used to create the current document.
  `void`
  `setLocation​(String location)`
  Sets the location of remote resource.
  `void`
  `setRole​(String role)`
  Sets the role.
  `void`
  `setTitle​(String title)`
  Sets the title to be associated with a document template.
  `void`
  `setType​(String type)`
  Sets the value simple in OpenDocument document instances.
  `String`
  `toString()`
  Converts the value of the current Template object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Template

    public Template()
    Initializes a new instance of the Template class.

- ## Method Details

  - ### clone

    public Template clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Template object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLocation

    public String getLocation()
    Gets the location of remote resource.
    Returns:
      the location

  - ### setLocation

    public void setLocation​(String location)
    Sets the location of remote resource.
    Parameters:
      `location` - the new location

  - ### getActuate

    public String getActuate()
    Gets the actuate.
    Returns:
      the actuate

  - ### setActuate

    public void setActuate​(String actuate)
    Sets the actuate.
    Parameters:
      `actuate` - the new actuate

  - ### getType

    public String getType()
    Gets the value simple in OpenDocument document instances.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the value simple in OpenDocument document instances.
    Parameters:
      `type` - the new type

  - ### getRole

    public String getRole()
    Gets the role.
    Returns:
      the role

  - ### setRole

    public void setRole​(String role)
    Sets the role.
    Parameters:
      `role` - the new role

  - ### getTitle

    public String getTitle()
    Gets the title to be associated with a document template.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title to be associated with a document template.
    Parameters:
      `title` - the new title

  - ### getDate

    public Date getDate()
    Gets the date and time when a template was last modified, prior to being used to create the current document.
    Returns:
      the date

  - ### setDate

    public void setDate​(Date date)
    Sets the date and time when a template was last modified, prior to being used to create the current document.
    Parameters:
      `date` - the new date